For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log in to the PayOS Dashboard
GuidesAPI ReferenceHelp Center
GuidesAPI ReferenceHelp Center
  • Authentication API
    • POSTRequest an Access Token
  • Payments API
  • Payment Rules API
  • Payouts API
  • Payers API [BETA]
  • Reporting API
  • Verification API
Log in to the PayOS Dashboard
LogoLogo
Authentication API

Request an Access Token

POST
https://api.payos.money/api/v1/auth/oauth2/token
POST
/api/v1/auth/oauth2/token
$curl -X POST https://api.payos.money/api/v1/auth/oauth2/token \
> -H "Content-Type: application/json" \
> -d '{
> "merchantId": "string",
> "clientSecret": "string"
>}'
1{
2 "accessToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
3 "expiresIn": 3600,
4 "tokenType": "Bearer"
5}

Retrieve an access token to authenticate your requests to PayOS services. The access token will be valid for a limited duration indicated by the expiresIn field in the response. Store the token until it expires, then request a new one.

Was this page helpful?

Get session details

Next
Built with

Request

This endpoint expects an object.
merchantIdstringRequiredformat: "uuid"
clientSecretstringRequired>=1 character

Response

A successful access token response.
accessTokenstring
expiresIndouble
tokenTypestring

Errors

400
Bad Request Error
401
Unauthorized Error